<?php
error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
session_start();
if((($_SERVER['SERVER_ADDR']==$_SESSION['demo_server_ip']) && ($_SERVER['REMOTE_ADDR']!=$_SESSION['demo_developer_ip']) && ($_SESSION['id_user']==$_SESSION['demo_user_id'])) || ($_SESSION['sml_si']!=session_id())) {
    //DEMO CHECK
    die();
}
require_once("../../db/connection.php");
$id = (int)$_POST['id_marker'];
$id_map = (int)$_SESSION['id_map_sel'];
$address = json_decode($_POST['address'],true);
$street = $address['street'];
$city = $address['city'];
$postal_code = $address['postal_code'];
$country = $address['country'];
$county = $address['county'];
$state = $address['state'];
$query = "UPDATE sml_markers SET street=?,city=?,postal_code=?,country=?,county=?,state=? WHERE id=? AND id_map=?;";
if($smt = $mysqli->prepare($query)) {
    $smt->bind_param('ssssssii',$street,$city,$postal_code,$country,$county,$state,$id,$id_map);
    $result = $smt->execute();
    if($result) {
        echo json_encode(array("status"=>"ok"));
    } else {
        echo json_encode(array("status"=>"error"));
    }
} else {
    echo json_encode(array("status"=>"error"));
}